/*******************************************************************************
* File Name: SS_CON.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SS_CON_H) /* Pins SS_CON_H */
#define CY_PINS_SS_CON_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SS_CON_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SS_CON_Write(uint8 value) ;
void    SS_CON_SetDriveMode(uint8 mode) ;
uint8   SS_CON_ReadDataReg(void) ;
uint8   SS_CON_Read(void) ;
uint8   SS_CON_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SS_CON_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SS_CON_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SS_CON_DM_RES_UP          PIN_DM_RES_UP
#define SS_CON_DM_RES_DWN         PIN_DM_RES_DWN
#define SS_CON_DM_OD_LO           PIN_DM_OD_LO
#define SS_CON_DM_OD_HI           PIN_DM_OD_HI
#define SS_CON_DM_STRONG          PIN_DM_STRONG
#define SS_CON_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SS_CON_MASK               SS_CON__MASK
#define SS_CON_SHIFT              SS_CON__SHIFT
#define SS_CON_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SS_CON_PS                     (* (reg8 *) SS_CON__PS)
/* Data Register */
#define SS_CON_DR                     (* (reg8 *) SS_CON__DR)
/* Port Number */
#define SS_CON_PRT_NUM                (* (reg8 *) SS_CON__PRT) 
/* Connect to Analog Globals */                                                  
#define SS_CON_AG                     (* (reg8 *) SS_CON__AG)                       
/* Analog MUX bux enable */
#define SS_CON_AMUX                   (* (reg8 *) SS_CON__AMUX) 
/* Bidirectional Enable */                                                        
#define SS_CON_BIE                    (* (reg8 *) SS_CON__BIE)
/* Bit-mask for Aliased Register Access */
#define SS_CON_BIT_MASK               (* (reg8 *) SS_CON__BIT_MASK)
/* Bypass Enable */
#define SS_CON_BYP                    (* (reg8 *) SS_CON__BYP)
/* Port wide control signals */                                                   
#define SS_CON_CTL                    (* (reg8 *) SS_CON__CTL)
/* Drive Modes */
#define SS_CON_DM0                    (* (reg8 *) SS_CON__DM0) 
#define SS_CON_DM1                    (* (reg8 *) SS_CON__DM1)
#define SS_CON_DM2                    (* (reg8 *) SS_CON__DM2) 
/* Input Buffer Disable Override */
#define SS_CON_INP_DIS                (* (reg8 *) SS_CON__INP_DIS)
/* LCD Common or Segment Drive */
#define SS_CON_LCD_COM_SEG            (* (reg8 *) SS_CON__LCD_COM_SEG)
/* Enable Segment LCD */
#define SS_CON_LCD_EN                 (* (reg8 *) SS_CON__LCD_EN)
/* Slew Rate Control */
#define SS_CON_SLW                    (* (reg8 *) SS_CON__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SS_CON_PRTDSI__CAPS_SEL       (* (reg8 *) SS_CON__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SS_CON_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SS_CON__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SS_CON_PRTDSI__OE_SEL0        (* (reg8 *) SS_CON__PRTDSI__OE_SEL0) 
#define SS_CON_PRTDSI__OE_SEL1        (* (reg8 *) SS_CON__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SS_CON_PRTDSI__OUT_SEL0       (* (reg8 *) SS_CON__PRTDSI__OUT_SEL0) 
#define SS_CON_PRTDSI__OUT_SEL1       (* (reg8 *) SS_CON__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SS_CON_PRTDSI__SYNC_OUT       (* (reg8 *) SS_CON__PRTDSI__SYNC_OUT) 


#if defined(SS_CON__INTSTAT)  /* Interrupt Registers */

    #define SS_CON_INTSTAT                (* (reg8 *) SS_CON__INTSTAT)
    #define SS_CON_SNAP                   (* (reg8 *) SS_CON__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins SS_CON_H */


/* [] END OF FILE */
