/*******************************************************************************
* File Name: ss_detect.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ss_detect_H) /* Pins ss_detect_H */
#define CY_PINS_ss_detect_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "ss_detect_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    ss_detect_Write(uint8 value) ;
void    ss_detect_SetDriveMode(uint8 mode) ;
uint8   ss_detect_ReadDataReg(void) ;
uint8   ss_detect_Read(void) ;
uint8   ss_detect_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ss_detect_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define ss_detect_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define ss_detect_DM_RES_UP          PIN_DM_RES_UP
#define ss_detect_DM_RES_DWN         PIN_DM_RES_DWN
#define ss_detect_DM_OD_LO           PIN_DM_OD_LO
#define ss_detect_DM_OD_HI           PIN_DM_OD_HI
#define ss_detect_DM_STRONG          PIN_DM_STRONG
#define ss_detect_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define ss_detect_MASK               ss_detect__MASK
#define ss_detect_SHIFT              ss_detect__SHIFT
#define ss_detect_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ss_detect_PS                     (* (reg8 *) ss_detect__PS)
/* Data Register */
#define ss_detect_DR                     (* (reg8 *) ss_detect__DR)
/* Port Number */
#define ss_detect_PRT_NUM                (* (reg8 *) ss_detect__PRT) 
/* Connect to Analog Globals */                                                  
#define ss_detect_AG                     (* (reg8 *) ss_detect__AG)                       
/* Analog MUX bux enable */
#define ss_detect_AMUX                   (* (reg8 *) ss_detect__AMUX) 
/* Bidirectional Enable */                                                        
#define ss_detect_BIE                    (* (reg8 *) ss_detect__BIE)
/* Bit-mask for Aliased Register Access */
#define ss_detect_BIT_MASK               (* (reg8 *) ss_detect__BIT_MASK)
/* Bypass Enable */
#define ss_detect_BYP                    (* (reg8 *) ss_detect__BYP)
/* Port wide control signals */                                                   
#define ss_detect_CTL                    (* (reg8 *) ss_detect__CTL)
/* Drive Modes */
#define ss_detect_DM0                    (* (reg8 *) ss_detect__DM0) 
#define ss_detect_DM1                    (* (reg8 *) ss_detect__DM1)
#define ss_detect_DM2                    (* (reg8 *) ss_detect__DM2) 
/* Input Buffer Disable Override */
#define ss_detect_INP_DIS                (* (reg8 *) ss_detect__INP_DIS)
/* LCD Common or Segment Drive */
#define ss_detect_LCD_COM_SEG            (* (reg8 *) ss_detect__LCD_COM_SEG)
/* Enable Segment LCD */
#define ss_detect_LCD_EN                 (* (reg8 *) ss_detect__LCD_EN)
/* Slew Rate Control */
#define ss_detect_SLW                    (* (reg8 *) ss_detect__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define ss_detect_PRTDSI__CAPS_SEL       (* (reg8 *) ss_detect__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define ss_detect_PRTDSI__DBL_SYNC_IN    (* (reg8 *) ss_detect__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define ss_detect_PRTDSI__OE_SEL0        (* (reg8 *) ss_detect__PRTDSI__OE_SEL0) 
#define ss_detect_PRTDSI__OE_SEL1        (* (reg8 *) ss_detect__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define ss_detect_PRTDSI__OUT_SEL0       (* (reg8 *) ss_detect__PRTDSI__OUT_SEL0) 
#define ss_detect_PRTDSI__OUT_SEL1       (* (reg8 *) ss_detect__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define ss_detect_PRTDSI__SYNC_OUT       (* (reg8 *) ss_detect__PRTDSI__SYNC_OUT) 


#if defined(ss_detect__INTSTAT)  /* Interrupt Registers */

    #define ss_detect_INTSTAT                (* (reg8 *) ss_detect__INTSTAT)
    #define ss_detect_SNAP                   (* (reg8 *) ss_detect__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins ss_detect_H */


/* [] END OF FILE */
