/*******************************************************************************
* File Name: Ambient.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Ambient_H) /* Pins Ambient_H */
#define CY_PINS_Ambient_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Ambient_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Ambient__PORT == 15 && ((Ambient__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    Ambient_Write(uint8 value) ;
void    Ambient_SetDriveMode(uint8 mode) ;
uint8   Ambient_ReadDataReg(void) ;
uint8   Ambient_Read(void) ;
uint8   Ambient_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Ambient_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Ambient_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Ambient_DM_RES_UP          PIN_DM_RES_UP
#define Ambient_DM_RES_DWN         PIN_DM_RES_DWN
#define Ambient_DM_OD_LO           PIN_DM_OD_LO
#define Ambient_DM_OD_HI           PIN_DM_OD_HI
#define Ambient_DM_STRONG          PIN_DM_STRONG
#define Ambient_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Ambient_MASK               Ambient__MASK
#define Ambient_SHIFT              Ambient__SHIFT
#define Ambient_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Ambient_PS                     (* (reg8 *) Ambient__PS)
/* Data Register */
#define Ambient_DR                     (* (reg8 *) Ambient__DR)
/* Port Number */
#define Ambient_PRT_NUM                (* (reg8 *) Ambient__PRT) 
/* Connect to Analog Globals */                                                  
#define Ambient_AG                     (* (reg8 *) Ambient__AG)                       
/* Analog MUX bux enable */
#define Ambient_AMUX                   (* (reg8 *) Ambient__AMUX) 
/* Bidirectional Enable */                                                        
#define Ambient_BIE                    (* (reg8 *) Ambient__BIE)
/* Bit-mask for Aliased Register Access */
#define Ambient_BIT_MASK               (* (reg8 *) Ambient__BIT_MASK)
/* Bypass Enable */
#define Ambient_BYP                    (* (reg8 *) Ambient__BYP)
/* Port wide control signals */                                                   
#define Ambient_CTL                    (* (reg8 *) Ambient__CTL)
/* Drive Modes */
#define Ambient_DM0                    (* (reg8 *) Ambient__DM0) 
#define Ambient_DM1                    (* (reg8 *) Ambient__DM1)
#define Ambient_DM2                    (* (reg8 *) Ambient__DM2) 
/* Input Buffer Disable Override */
#define Ambient_INP_DIS                (* (reg8 *) Ambient__INP_DIS)
/* LCD Common or Segment Drive */
#define Ambient_LCD_COM_SEG            (* (reg8 *) Ambient__LCD_COM_SEG)
/* Enable Segment LCD */
#define Ambient_LCD_EN                 (* (reg8 *) Ambient__LCD_EN)
/* Slew Rate Control */
#define Ambient_SLW                    (* (reg8 *) Ambient__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Ambient_PRTDSI__CAPS_SEL       (* (reg8 *) Ambient__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Ambient_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Ambient__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Ambient_PRTDSI__OE_SEL0        (* (reg8 *) Ambient__PRTDSI__OE_SEL0) 
#define Ambient_PRTDSI__OE_SEL1        (* (reg8 *) Ambient__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Ambient_PRTDSI__OUT_SEL0       (* (reg8 *) Ambient__PRTDSI__OUT_SEL0) 
#define Ambient_PRTDSI__OUT_SEL1       (* (reg8 *) Ambient__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Ambient_PRTDSI__SYNC_OUT       (* (reg8 *) Ambient__PRTDSI__SYNC_OUT) 


#if defined(Ambient__INTSTAT)  /* Interrupt Registers */

    #define Ambient_INTSTAT                (* (reg8 *) Ambient__INTSTAT)
    #define Ambient_SNAP                   (* (reg8 *) Ambient__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Ambient_H */


/* [] END OF FILE */
