/*******************************************************************************
* File Name: Analog_Gnd.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Analog_Gnd_H) /* Pins Analog_Gnd_H */
#define CY_PINS_Analog_Gnd_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Analog_Gnd_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Analog_Gnd__PORT == 15 && ((Analog_Gnd__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    Analog_Gnd_Write(uint8 value) ;
void    Analog_Gnd_SetDriveMode(uint8 mode) ;
uint8   Analog_Gnd_ReadDataReg(void) ;
uint8   Analog_Gnd_Read(void) ;
uint8   Analog_Gnd_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Analog_Gnd_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Analog_Gnd_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Analog_Gnd_DM_RES_UP          PIN_DM_RES_UP
#define Analog_Gnd_DM_RES_DWN         PIN_DM_RES_DWN
#define Analog_Gnd_DM_OD_LO           PIN_DM_OD_LO
#define Analog_Gnd_DM_OD_HI           PIN_DM_OD_HI
#define Analog_Gnd_DM_STRONG          PIN_DM_STRONG
#define Analog_Gnd_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Analog_Gnd_MASK               Analog_Gnd__MASK
#define Analog_Gnd_SHIFT              Analog_Gnd__SHIFT
#define Analog_Gnd_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Analog_Gnd_PS                     (* (reg8 *) Analog_Gnd__PS)
/* Data Register */
#define Analog_Gnd_DR                     (* (reg8 *) Analog_Gnd__DR)
/* Port Number */
#define Analog_Gnd_PRT_NUM                (* (reg8 *) Analog_Gnd__PRT) 
/* Connect to Analog Globals */                                                  
#define Analog_Gnd_AG                     (* (reg8 *) Analog_Gnd__AG)                       
/* Analog MUX bux enable */
#define Analog_Gnd_AMUX                   (* (reg8 *) Analog_Gnd__AMUX) 
/* Bidirectional Enable */                                                        
#define Analog_Gnd_BIE                    (* (reg8 *) Analog_Gnd__BIE)
/* Bit-mask for Aliased Register Access */
#define Analog_Gnd_BIT_MASK               (* (reg8 *) Analog_Gnd__BIT_MASK)
/* Bypass Enable */
#define Analog_Gnd_BYP                    (* (reg8 *) Analog_Gnd__BYP)
/* Port wide control signals */                                                   
#define Analog_Gnd_CTL                    (* (reg8 *) Analog_Gnd__CTL)
/* Drive Modes */
#define Analog_Gnd_DM0                    (* (reg8 *) Analog_Gnd__DM0) 
#define Analog_Gnd_DM1                    (* (reg8 *) Analog_Gnd__DM1)
#define Analog_Gnd_DM2                    (* (reg8 *) Analog_Gnd__DM2) 
/* Input Buffer Disable Override */
#define Analog_Gnd_INP_DIS                (* (reg8 *) Analog_Gnd__INP_DIS)
/* LCD Common or Segment Drive */
#define Analog_Gnd_LCD_COM_SEG            (* (reg8 *) Analog_Gnd__LCD_COM_SEG)
/* Enable Segment LCD */
#define Analog_Gnd_LCD_EN                 (* (reg8 *) Analog_Gnd__LCD_EN)
/* Slew Rate Control */
#define Analog_Gnd_SLW                    (* (reg8 *) Analog_Gnd__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Analog_Gnd_PRTDSI__CAPS_SEL       (* (reg8 *) Analog_Gnd__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Analog_Gnd_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Analog_Gnd__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Analog_Gnd_PRTDSI__OE_SEL0        (* (reg8 *) Analog_Gnd__PRTDSI__OE_SEL0) 
#define Analog_Gnd_PRTDSI__OE_SEL1        (* (reg8 *) Analog_Gnd__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Analog_Gnd_PRTDSI__OUT_SEL0       (* (reg8 *) Analog_Gnd__PRTDSI__OUT_SEL0) 
#define Analog_Gnd_PRTDSI__OUT_SEL1       (* (reg8 *) Analog_Gnd__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Analog_Gnd_PRTDSI__SYNC_OUT       (* (reg8 *) Analog_Gnd__PRTDSI__SYNC_OUT) 


#if defined(Analog_Gnd__INTSTAT)  /* Interrupt Registers */

    #define Analog_Gnd_INTSTAT                (* (reg8 *) Analog_Gnd__INTSTAT)
    #define Analog_Gnd_SNAP                   (* (reg8 *) Analog_Gnd__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Analog_Gnd_H */


/* [] END OF FILE */
