/*******************************************************************************
* File Name: OLED_CTRL.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_OLED_CTRL_H) /* Pins OLED_CTRL_H */
#define CY_PINS_OLED_CTRL_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "OLED_CTRL_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 OLED_CTRL__PORT == 15 && ((OLED_CTRL__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    OLED_CTRL_Write(uint8 value) ;
void    OLED_CTRL_SetDriveMode(uint8 mode) ;
uint8   OLED_CTRL_ReadDataReg(void) ;
uint8   OLED_CTRL_Read(void) ;
uint8   OLED_CTRL_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define OLED_CTRL_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define OLED_CTRL_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define OLED_CTRL_DM_RES_UP          PIN_DM_RES_UP
#define OLED_CTRL_DM_RES_DWN         PIN_DM_RES_DWN
#define OLED_CTRL_DM_OD_LO           PIN_DM_OD_LO
#define OLED_CTRL_DM_OD_HI           PIN_DM_OD_HI
#define OLED_CTRL_DM_STRONG          PIN_DM_STRONG
#define OLED_CTRL_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define OLED_CTRL_MASK               OLED_CTRL__MASK
#define OLED_CTRL_SHIFT              OLED_CTRL__SHIFT
#define OLED_CTRL_WIDTH              3u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define OLED_CTRL_PS                     (* (reg8 *) OLED_CTRL__PS)
/* Data Register */
#define OLED_CTRL_DR                     (* (reg8 *) OLED_CTRL__DR)
/* Port Number */
#define OLED_CTRL_PRT_NUM                (* (reg8 *) OLED_CTRL__PRT) 
/* Connect to Analog Globals */                                                  
#define OLED_CTRL_AG                     (* (reg8 *) OLED_CTRL__AG)                       
/* Analog MUX bux enable */
#define OLED_CTRL_AMUX                   (* (reg8 *) OLED_CTRL__AMUX) 
/* Bidirectional Enable */                                                        
#define OLED_CTRL_BIE                    (* (reg8 *) OLED_CTRL__BIE)
/* Bit-mask for Aliased Register Access */
#define OLED_CTRL_BIT_MASK               (* (reg8 *) OLED_CTRL__BIT_MASK)
/* Bypass Enable */
#define OLED_CTRL_BYP                    (* (reg8 *) OLED_CTRL__BYP)
/* Port wide control signals */                                                   
#define OLED_CTRL_CTL                    (* (reg8 *) OLED_CTRL__CTL)
/* Drive Modes */
#define OLED_CTRL_DM0                    (* (reg8 *) OLED_CTRL__DM0) 
#define OLED_CTRL_DM1                    (* (reg8 *) OLED_CTRL__DM1)
#define OLED_CTRL_DM2                    (* (reg8 *) OLED_CTRL__DM2) 
/* Input Buffer Disable Override */
#define OLED_CTRL_INP_DIS                (* (reg8 *) OLED_CTRL__INP_DIS)
/* LCD Common or Segment Drive */
#define OLED_CTRL_LCD_COM_SEG            (* (reg8 *) OLED_CTRL__LCD_COM_SEG)
/* Enable Segment LCD */
#define OLED_CTRL_LCD_EN                 (* (reg8 *) OLED_CTRL__LCD_EN)
/* Slew Rate Control */
#define OLED_CTRL_SLW                    (* (reg8 *) OLED_CTRL__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define OLED_CTRL_PRTDSI__CAPS_SEL       (* (reg8 *) OLED_CTRL__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define OLED_CTRL_PRTDSI__DBL_SYNC_IN    (* (reg8 *) OLED_CTRL__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define OLED_CTRL_PRTDSI__OE_SEL0        (* (reg8 *) OLED_CTRL__PRTDSI__OE_SEL0) 
#define OLED_CTRL_PRTDSI__OE_SEL1        (* (reg8 *) OLED_CTRL__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define OLED_CTRL_PRTDSI__OUT_SEL0       (* (reg8 *) OLED_CTRL__PRTDSI__OUT_SEL0) 
#define OLED_CTRL_PRTDSI__OUT_SEL1       (* (reg8 *) OLED_CTRL__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define OLED_CTRL_PRTDSI__SYNC_OUT       (* (reg8 *) OLED_CTRL__PRTDSI__SYNC_OUT) 


#if defined(OLED_CTRL__INTSTAT)  /* Interrupt Registers */

    #define OLED_CTRL_INTSTAT                (* (reg8 *) OLED_CTRL__INTSTAT)
    #define OLED_CTRL_SNAP                   (* (reg8 *) OLED_CTRL__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_OLED_CTRL_H */


/* [] END OF FILE */
