/*******************************************************************************
* File Name: adc_isr.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_adc_isr_H)
#define CY_ISR_adc_isr_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void adc_isr_Start(void);
void adc_isr_StartEx(cyisraddress address);
void adc_isr_Stop(void);

CY_ISR_PROTO(adc_isr_Interrupt);

void adc_isr_SetVector(cyisraddress address);
cyisraddress adc_isr_GetVector(void);

void adc_isr_SetPriority(uint8 priority);
uint8 adc_isr_GetPriority(void);

void adc_isr_Enable(void);
uint8 adc_isr_GetState(void);
void adc_isr_Disable(void);

void adc_isr_SetPending(void);
void adc_isr_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the adc_isr ISR. */
#define adc_isr_INTC_VECTOR            ((reg32 *) adc_isr__INTC_VECT)

/* Address of the adc_isr ISR priority. */
#define adc_isr_INTC_PRIOR             ((reg8 *) adc_isr__INTC_PRIOR_REG)

/* Priority of the adc_isr interrupt. */
#define adc_isr_INTC_PRIOR_NUMBER      adc_isr__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable adc_isr interrupt. */
#define adc_isr_INTC_SET_EN            ((reg32 *) adc_isr__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the adc_isr interrupt. */
#define adc_isr_INTC_CLR_EN            ((reg32 *) adc_isr__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the adc_isr interrupt state to pending. */
#define adc_isr_INTC_SET_PD            ((reg32 *) adc_isr__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the adc_isr interrupt. */
#define adc_isr_INTC_CLR_PD            ((reg32 *) adc_isr__INTC_CLR_PD_REG)


#endif /* CY_ISR_adc_isr_H */


/* [] END OF FILE */
