/*******************************************************************************
* File Name: relay.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_relay_H) /* Pins relay_H */
#define CY_PINS_relay_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "relay_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 relay__PORT == 15 && ((relay__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    relay_Write(uint8 value) ;
void    relay_SetDriveMode(uint8 mode) ;
uint8   relay_ReadDataReg(void) ;
uint8   relay_Read(void) ;
uint8   relay_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define relay_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define relay_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define relay_DM_RES_UP          PIN_DM_RES_UP
#define relay_DM_RES_DWN         PIN_DM_RES_DWN
#define relay_DM_OD_LO           PIN_DM_OD_LO
#define relay_DM_OD_HI           PIN_DM_OD_HI
#define relay_DM_STRONG          PIN_DM_STRONG
#define relay_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define relay_MASK               relay__MASK
#define relay_SHIFT              relay__SHIFT
#define relay_WIDTH              3u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define relay_PS                     (* (reg8 *) relay__PS)
/* Data Register */
#define relay_DR                     (* (reg8 *) relay__DR)
/* Port Number */
#define relay_PRT_NUM                (* (reg8 *) relay__PRT) 
/* Connect to Analog Globals */                                                  
#define relay_AG                     (* (reg8 *) relay__AG)                       
/* Analog MUX bux enable */
#define relay_AMUX                   (* (reg8 *) relay__AMUX) 
/* Bidirectional Enable */                                                        
#define relay_BIE                    (* (reg8 *) relay__BIE)
/* Bit-mask for Aliased Register Access */
#define relay_BIT_MASK               (* (reg8 *) relay__BIT_MASK)
/* Bypass Enable */
#define relay_BYP                    (* (reg8 *) relay__BYP)
/* Port wide control signals */                                                   
#define relay_CTL                    (* (reg8 *) relay__CTL)
/* Drive Modes */
#define relay_DM0                    (* (reg8 *) relay__DM0) 
#define relay_DM1                    (* (reg8 *) relay__DM1)
#define relay_DM2                    (* (reg8 *) relay__DM2) 
/* Input Buffer Disable Override */
#define relay_INP_DIS                (* (reg8 *) relay__INP_DIS)
/* LCD Common or Segment Drive */
#define relay_LCD_COM_SEG            (* (reg8 *) relay__LCD_COM_SEG)
/* Enable Segment LCD */
#define relay_LCD_EN                 (* (reg8 *) relay__LCD_EN)
/* Slew Rate Control */
#define relay_SLW                    (* (reg8 *) relay__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define relay_PRTDSI__CAPS_SEL       (* (reg8 *) relay__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define relay_PRTDSI__DBL_SYNC_IN    (* (reg8 *) relay__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define relay_PRTDSI__OE_SEL0        (* (reg8 *) relay__PRTDSI__OE_SEL0) 
#define relay_PRTDSI__OE_SEL1        (* (reg8 *) relay__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define relay_PRTDSI__OUT_SEL0       (* (reg8 *) relay__PRTDSI__OUT_SEL0) 
#define relay_PRTDSI__OUT_SEL1       (* (reg8 *) relay__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define relay_PRTDSI__SYNC_OUT       (* (reg8 *) relay__PRTDSI__SYNC_OUT) 


#if defined(relay__INTSTAT)  /* Interrupt Registers */

    #define relay_INTSTAT                (* (reg8 *) relay__INTSTAT)
    #define relay_SNAP                   (* (reg8 *) relay__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_relay_H */


/* [] END OF FILE */
